Skip to main content
GET
/
v1
/
chart
/
symbols
Get Symbol Information
curl --request GET \
  --url https://api.aries.com/v1/chart/symbols \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/chart/symbols"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/chart/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ticker": "AAPL",
  "name": "Apple Inc",
  "description": "Apple Inc",
  "type": "stock",
  "session": "0400-2000",
  "subsession_id": "",
  "subsessions": null,
  "timezone": "America/New_York",
  "exchange": "NASDAQ",
  "format": "price",
  "minmov": 1,
  "pricescale": 100,
  "has_intraday": true,
  "intraday_multipliers": [
    "1",
    "5",
    "15",
    "30",
    "60",
    "240"
  ],
  "has_daily": true,
  "daily_multipliers": [
    "1"
  ],
  "has_weekly_and_monthly": true,
  "weekly_multipliers": [
    "1"
  ],
  "monthly_multipliers": [
    "1"
  ],
  "has_ticks": true,
  "has_seconds": true,
  "visible_plots_set": "ohlcv",
  "supported_resolutions": [
    "1T",
    "5T",
    "10T",
    "25T",
    "50T",
    "100T",
    "250T",
    "500T",
    "1000T",
    "1",
    "3",
    "5",
    "15",
    "30",
    "45",
    "60",
    "120",
    "180",
    "240",
    "1D",
    "1W",
    "1M",
    "3M",
    "6M",
    "12M"
  ],
  "volume_precision": 1,
  "listed_exchange": "NASDAQ"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Symbol to resolve for charting. Use equities like AAPL or futures with a leading slash such as /ES. Prefer values returned by chart search.

Response

Symbol information retrieved successfully

daily_multipliers
string[]

Available daily time multipliers

description
string

Full description of the symbol/company

exchange
string

Exchange code where the data originates. Format depends on the upstream data source and may use MIC, ISO 10383, or a vendor-specific code.

format
string

Price format (usually 'price')

has_daily
boolean

Whether daily data is available

has_intraday
boolean

Whether intraday data is available

has_seconds
boolean

Whether seconds resolution is available

has_ticks
boolean

Whether tick data is available

has_weekly_and_monthly
boolean

Whether weekly and monthly data is available

intraday_multipliers
string[]

Available intraday time multipliers

listed_exchange
string

Primary exchange where the symbol is listed

minmov
number

Minimum price movement

monthly_multipliers
string[]

Available monthly time multipliers

name
string

Symbol name

pricescale
integer

Price scale (e.g., 100 means divide price by 100)

session
string

Trading session hours (e.g., '0930-1600')

subsession_id
string

Identifier of the active subsession. Empty string when the symbol has no subsessions.

subsessions
object[] | null

Subsession definitions for the symbol. Null when the symbol has no subsessions.

supported_resolutions
string[]

Resolutions supported for this symbol

ticker
string

Symbol ticker

timezone
string

Timezone of the exchange (e.g., 'America/New_York')

type
string

Instrument class or provider category returned by the market data service. This value is not the trading order type.

Example:

"stock"

visible_plots_set
string

Visible plots (e.g., 'ohlcv' for OHLC + Volume)

volume_precision
number

Volume precision (decimal places)

weekly_multipliers
string[]

Available weekly time multipliers